Subject: Re: [Zope] Using Zope to generate static HTML
From: "Ross J. Reedstrom" <[email-masked]>
To: Paul Everitt <[email-masked]>
Date: Thu, 18 Feb 1999 14:03:11 -0600

David (and the rest of you):
Anybody tried building your pages on a local/personal Zope site, then
pointing a web-sucker type app at it? I think the appropriate invocation
of wget or lynx or some such would do an admirable job of taking a
static snapshot of a reasonably simple site? As Paul said, you'd give up
certain features, but that's understood. You're looking for the
programmatic interface, whole site standardization, etc., not the
context sensitive, dynamic content sort of features (that are a pain in
the --- to implement on top of stateless HTTP, anyway), right?

Ross

Paul Everitt wrote:
> 
> David wrote:
> > Is anyone working on a way to allow Zope to produce static HTML?
> 
> No but someone should.  The topic has come up, say, a thousand times.
> 
> > I suppose the first response to this would be "Why?"
> >
> > Well, I love Zope, and I run it on my home machine, but I would also
> > like to use it to manage web sites on machines that:
> >
> >    1. I don't directly control (or can't convince to run Zope)
> >    2. Don't need the high level of dynamic content that Zope provides
> 

> 
> Believe it or not, this would be *really* easy to make happen (as long
> as you lived in certain constraints).

Paul, you're such a tease here...

-- 
Ross J. Reedstrom, Ph.D., <[email-masked]> 
NSBRI Research Scientist/Programmer
Computer and Information Technology Institute
Rice University, 6100 S. Main St.,  Houston, TX 77005